API reference

Company profile

View as Markdown

One company's profile and coverage: identifiers, fiscal year end, the first and last period we have, which line items are available, and a link to its SEC filings.

GET /api/v1/companies/{symbol}

Requires an API key in the X-Api-Key header.

Parameters

Name In Type Required Description
symbol path string yes Ticker symbol of a listed company, for example CSCO. Case-insensitive.

Request

curl

curl "https://studyingstocks.com/api/v1/companies/CSCO" \
  -H "X-Api-Key: $STUDYING_STOCKS_API_KEY"

Python

import os
import requests

response = requests.get("https://studyingstocks.com/api/v1/companies/CSCO", headers={"X-Api-Key": os.environ["STUDYING_STOCKS_API_KEY"]})
response.raise_for_status()
print(response.json())

JavaScript

const response = await fetch("https://studyingstocks.com/api/v1/companies/CSCO", {
  headers: { "X-Api-Key": process.env.STUDYING_STOCKS_API_KEY },
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());

Response

The company profile.

{
    "data": {
        "symbol": "CSCO",
        "name": "Cisco Systems, Inc.",
        "exchange": "Nasdaq",
        "cik": "0000858877",
        "sic": "3576",
        "sic_description": "Industrial and Commercial Machinery and Computer Equipment",
        "currency": "USD",
        "first_period_end": "2017-07-29",
        "last_period_end": "2026-07-25",
        "data_updated_at": "2026-10-15T02:00:00Z",
        "fiscal_year_end_month": 7,
        "coverage": {
            "first_period": {
                "period": "2017Q4",
                "period_end": "2017-07-29"
            },
            "last_period": {
                "period": "2026Q4",
                "period_end": "2026-07-25"
            },
            "ttm_periods": 37,
            "annual_periods": 9,
            "line_items": [
                "revenue",
                "net_income",
                "eps_basic",
                "dividends_per_share",
                "free_cash_flow",
                "shares_basic",
                "shares_diluted",
                "total_debt",
                "cash_and_equivalents",
                "roic",
                "debt_to_fcf"
            ]
        },
        "links": {
            "sec_filings": "https://www.sec.gov/cgi-bin/browse-edgar?action=getcompany&CIK=0000858877&type=10-&dateb=&owner=include&count=40",
            "financials": "https://studyingstocks.com/api/v1/companies/CSCO/financials",
            "valuation": "https://studyingstocks.com/api/v1/companies/CSCO/valuation"
        }
    },
    "meta": {
        "symbol": "CSCO",
        "source": "SEC EDGAR",
        "api_version": "v1",
        "generated_at": "2026-10-16T02:00:00Z"
    }
}

Response fields

Field Type Description
data.symbol string Ticker symbol.
data.name string or null Company name.
data.exchange string or null Listing exchange.
data.cik string or null SEC Central Index Key, ten digits.
data.sic string or null SEC Standard Industrial Classification code.
data.sic_description string or null Name of the SIC major group (the first two digits of the code).
data.currency string Reporting currency of every monetary value.
data.first_period_end string or null End date of the oldest period we have.
data.last_period_end string or null End date of the latest period we have.
data.data_updated_at string or null When we last synchronized this company with SEC EDGAR.
data.fiscal_year_end_month integer or null Month (1-12) the fiscal year ends in.
data.coverage.first_period object or null
data.coverage.last_period object or null
data.coverage.ttm_periods integer Number of quarter-end periods.
data.coverage.annual_periods integer Number of fiscal years.
data.coverage.line_items array of string Line items with at least one value.
data.links.sec_filings string or null SEC's list of the company's periodic filings.
data.links.financials string
data.links.valuation string
meta.source string Where the data comes from: always SEC EDGAR (calculated items are derived from it).
meta.api_version string
meta.generated_at string When this response was generated (responses are cached for a few hours).
meta.symbol string

Errors

Status Code When
401 unauthenticated Missing or invalid API key.
403 subscription_inactive The Premium subscription behind the key is not active.
404 not_found The company is not covered.
422 invalid_parameter An unknown query parameter was sent.
429 rate_limited Rate limit reached.
500 server_error Something went wrong on our side.

All errors have the same shape.